# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "gazelle_api"
version = "0.15.0"
authors = ["RogueOneEcho"]
build = false
include = [
    "src/**/*",
    "Cargo.lock",
    "Cargo.toml",
    "LICENSE.md",
    "README.md",
]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Gazelle API Client"
readme = "README.md"
license = "AGPL-3.0-only"
repository = "https://github.com/RogueOneEcho/gazelle_api"

[features]
default = []
mock = []

[lib]
name = "gazelle_api"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.log]
version = "0.4.29"
features = ["std"]

[dependencies.miette]
version = "7.6.0"

[dependencies.regex]
version = "1.12.3"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "rustls",
    "json",
    "multipart",
    "stream",
]
default-features = false

[dependencies.rogue_logging]
version = "0.7.1"
features = ["log"]

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.50.0"
features = ["full"]

[dev-dependencies.rogue_config]
version = "0.2.0"

[dev-dependencies.rogue_logging]
version = "0.7.1"

[dev-dependencies.serial_test]
version = "3.4.0"

[lints.clippy]
absolute_paths = "warn"
arithmetic_side_effects = "allow"
as_conversions = "warn"
await_holding_lock = "allow"
cast_possible_truncation = "warn"
clone_on_ref_ptr = "allow"
enum_glob_use = "allow"
exhaustive_enums = "allow"
exhaustive_structs = "allow"
expect_used = "allow"
get_first = "warn"
if_not_else = "warn"
if_then_some_else_none = "warn"
implicit_return = "allow"
indexing_slicing = "warn"
integer_division = "warn"
just_underscores_and_digits = "allow"
match_same_arms = "warn"
missing_docs_in_private_items = "allow"
missing_errors_doc = "allow"
missing_inline_in_public_items = "allow"
missing_panics_doc = "allow"
mod_module_files = "allow"
module_inception = "allow"
module_name_repetitions = "allow"
needless_pass_by_value = "allow"
new_without_default = "allow"
non_ascii_literal = "allow"
panic = "warn"
pattern_type_mismatch = "allow"
pub_use = "allow"
question_mark_used = "allow"
result_large_err = "allow"
separated_literal_suffix = "allow"
shadow_reuse = "allow"
shadow_same = "allow"
shadow_unrelated = "allow"
single_call_fn = "allow"
std_instead_of_alloc = "allow"
std_instead_of_core = "allow"
str_to_string = "warn"
string_add = "allow"
tests_outside_test_module = "allow"
unneeded_wildcard_pattern = "warn"
unseparated_literal_suffix = "warn"
unused_self = "warn"
unwrap_used = "warn"
wildcard_enum_match_arm = "allow"
wildcard_imports = "allow"
wrong_self_convention = "allow"

[lints.clippy.pedantic]
level = "warn"
priority = -1
